Mantis

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003298Studio Archive[All Projects] FunctionsPublic2012-05-12 10:282015-07-07 16:48
ReporterErik Leppen 
Assigned ToChris Harrison 
PriorityLowSeverityD - MinorReproducibilityN/A
StatusClosedResolutionFixed 
PlatformOSOS Version
Summary0003298: random(1.8) is always between 0 and 1
DescriptionIt seems that if the upper limit for random is a fraction greater than 1, the non-integer part is ignored. I.e.
random(1.8) returns a random number between 0 and 1
random(2.8) returns a random number between 0 and 2
etc.
However random(0.8) seems to work correctly.
Steps To Reproducerepeat 100 {
  show_debug_message(string(random(1.8)))
}
GM Version
Attached Files

- Relationships

-  Notes
(0004383)
Chris Harrison (Developer)
2012-06-20 17:14

v >= 1.0.256

- Issue History
Date Modified Username Field Change
2012-05-12 10:28 Erik Leppen New Issue
2012-05-12 10:32 Mike Dailly Assigned To => Chris Harrison
2012-05-12 10:32 Mike Dailly Status New => Assigned
2012-06-20 17:14 Chris Harrison Note Added: 0004383
2012-06-20 17:14 Chris Harrison Status Assigned => Resolved
2012-06-20 17:14 Chris Harrison Resolution Open => Fixed
2013-03-05 20:48 Daniel Cleaton Status Resolved => Closed
2015-07-07 16:48 Daniel Cleaton Project GameMaker Runner => Studio Archive


Copyright © 2000 - 2016 MantisBT Team
Powered by Mantis Bugtracker